package com.persagy.server.models.`object`

import java.util.*


/**
 *
 * @author  Cainga
 * @date  2021/2/24 10:32
 */
enum class ClassCodeEnum(val cname: String) {
    ACVTIO("通风风口"),
    FFSCIO("排烟风口"),
    ACATIO("空调风口"),
    ACVTSF("通风风机"),
    ACATAH("空调机组"),
    ACATFU("新风机组");

    open fun toList(): List<String> {
        val list = ArrayList<String>() //Lists.newArrayList()其实和new ArrayList()几乎一模
        //  一样, 唯一它帮你做的(其实是javac帮你做的), 就是自动推导(不是"倒")尖括号里的数据类型.
        for (classCodeEnum in ClassCodeEnum.values()) {
            list.add(classCodeEnum.name)
        }
        return list
    }

}